Allow apps to be offered only to certain FFOS versions

RESOLVED DUPLICATE of bug 983880

Status

Marketplace
General
RESOLVED DUPLICATE of bug 983880
4 years ago
3 years ago

People

(Reporter: dcoloma, Unassigned)

Tracking

(Blocks: 1 bug)

Avenir
x86
Mac OS X
Points:
---

Details

(Whiteboard: ft:loop)

Attachments

(1 attachment)

(Reporter)

Description

4 years ago
Some applications (e.g. Loop) might require features that are not available in every FFOS version (e.g. WebRTC). It should be possible for a developer to specify that the application he has developed only runs on some versions or in versions that have a given capability. Marketplace should consequently only offer those apps to devices with matching version/capabilities.
Blocks: 988276
Whiteboard: ft:loop
Created attachment 8444475 [details]
features.png

Marketplace already only shows compatible apps to mobile devices (this feature isn't enabled currently on desktop).  When you upload an app you are given the option of marking required features, see attached screenshot for an example.
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WORKSFORME
Marking not resolved is not resolved as the feature detection feature is disabled. We still asked app developers to check all the boxes.
Status: RESOLVED → REOPENED
Flags: needinfo?(clouserw)
Resolution: WORKSFORME → ---
I think that means this is a dupe of bug 983880 then -- that's the bug to enable the feature detection.  Let me know if I'm misunderstanding.
Status: REOPENED → RESOLVED
Last Resolved: 4 years ago3 years ago
Flags: needinfo?(clouserw)
Resolution: --- → DUPLICATE
Duplicate of bug: 983880
You need to log in before you can comment on or make changes to this bug.